Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b
Interface JspConstants

All Known Implementing Classes:
  B2BTourGuide, Helper, JspBase, AbstractProcessor

public interface JspConstants
extends Constants

Numerous constants used by Jsp pages and supporting portal processors.

Field Summary
`static java.lang.String` | `CSS_INV_BELOW_MIN`
`static java.lang.String` | `CSS_PART_ROW`
`static java.lang.String` | `CSS_PO_ACK`
`static java.lang.String` | `CSS_PO_ACK_STATUS`
`static java.lang.String` | `CSS_PO_PENDING`
`static java.lang.String` | `CSS_PO_PENDING_GIF_1`
`static java.lang.String` | `CSS_PO_PENDING_GIF_2`
`static java.lang.String` | `CSS_PO_PENDING_STATUS`
`static java.lang.String` | `CSS_PO_REC_1`
`static java.lang.String` | `CSS_PO_REC_1_GIF_1`
`static java.lang.String` | `CSS_PO_REC_1_GIF_2`
`static java.lang.String` | `CSS_PO_REC_1_STATUS`
`static java.lang.String` | `CSS_PO_REC_2`
`static java.lang.String` | `CSS_PO_REC_2_GIF_1`
`static java.lang.String` | `CSS_PO_REC_2_STATUS`
`static java.lang.String` | `CSS_PO_SHIPPED`
`static java.lang.String` | `CSS_PO_SHIPPED_STATUS`
`static java.lang.String` | `CSS_PRODUCT_ROW`
`static java.lang.String` | `DAY_PARAM`
`static java.lang.String` | `DOT_GIF`
`static java.lang.String` | `EVENT_PART`
`static java.lang.String` | `EVENT_PO`
`static java.lang.String` | `EVENT_PRODUCT`
`static java.lang.String` | `EVENT_QPA`
`static java.lang.String` | `EVENT_QUOTE`
`static java.lang.String` | `EVENT_RESET`
`static java.lang.String` | `INVENTORY_PAGE_ID`
`static java.util.Locale` | `locale`
`static java.lang.String` | `localizedPropertiesFile`
`static java.text.SimpleDateFormat` | `longFormat`
`static java.lang.String` | `MAX_ICON`
`static java.lang.String` | `MIN_ICON`
`static java.lang.String` | `MONTH_PARAM`
`static java.text.SimpleDateFormat` | `monthDayLongYear`
`static java.text.SimpleDateFormat` | `monthDayYear`
`static java.text.SimpleDateFormat` | `monthFormat`
`static java.lang.String` | `PART_PARAM_EQUALS`
`static java.lang.String` | `PART_PARAMETER`
`static java.lang.String` | `PART_PORTLET_ID`
`static java.lang.String` | `PO_PAGE_ID`
`static java.lang.String` | `PO_REVIEW_PORTLET_ID`
`static java.lang.String` | `PO_STATUS_ID`
`static java.lang.String` | `PRODUCT_PARAM_EQUALS`
`static java.lang.String` | `PRODUCT_PARAMETER`
`static java.lang.String` | `PRODUCT_PORTLET_ID`
`static java.lang.String` | `PURCHASING_PAGE_ID`
`static java.lang.String` | `QPA_PORTLET_ID`
`static java.lang.String` | `QTY_PARAMETER`
`static java.lang.String` | `QUOTE_PARAM`
`static java.lang.String` | `QUOTE_PORTLET_ID`
`static java.lang.String` | `TG_FILE_DEFAULT`
`static java.lang.String` | `TG_FILE_PART_INVENTORY`
`static java.lang.String` | `TG_FILE_PO_REVIEW`
`static java.lang.String` | `TG_FILE_PO_REVIEW_RO`
`static java.lang.String` | `TG_FILE_PO_STATUS_NORMAL`
`static java.lang.String` | `TG_FILE_PRODUCT_INVENTORY`
`static java.lang.String` | `TG_FILE_QPA`
`static java.lang.String` | `TG_FILE_SUMMARY`
`static java.lang.String` | `TG_STATE_DEFAULT`
`static java.lang.String` | `TG_STATE_ORDER_HISTORY`
`static java.lang.String` | `TG_STATE_ORDER_HISTORY2`
`static java.lang.String` | `TG_STATE_PART_INVENTORY`
`static java.lang.String` | `TG_STATE_PO_REVIEW`
`static java.lang.String` | `TG_STATE_PRODUCT_INVENTORY`
`static java.lang.String` | `TG_STATE_PURCHASING`
`static java.lang.String` | `TG_STATE_PURCHASING_RO`
`static java.lang.String` | `TG_STATE_QPA`
`static java.lang.String` | `TG_STATE_QUOTES`
`static java.text.SimpleDateFormat` | `timeFormat`
`static java.text.SimpleDateFormat` | `titlebarFormat`
`static java.lang.String` | `UNIT_PRICE_PARAMETER`

Fields inherited from class examples.e2e.b2b.Constants
`DISPLAY, EMPTY_STRING, ERROR, MAXIMIZED, NO_DATA, NO_STEP, NOT_SELECTED, NULL, READ_ONLY, STEP_1, STEP_2, STEP_3, STEP_4, STEP_5, SUCCESS, TIMEOUT`

Field Detail

### EVENT_PRODUCT

    public static final java.lang.String EVENT_PRODUCT

### EVENT_PART

    public static final java.lang.String EVENT_PART

### EVENT_QPA

    public static final java.lang.String EVENT_QPA

### EVENT_QUOTE

    public static final java.lang.String EVENT_QUOTE

### EVENT_PO

    public static final java.lang.String EVENT_PO

### EVENT_RESET

    public static final java.lang.String EVENT_RESET

### PRODUCT_PARAMETER

    public static final java.lang.String PRODUCT_PARAMETER

### PART_PARAMETER

    public static final java.lang.String PART_PARAMETER

### QTY_PARAMETER

    public static final java.lang.String QTY_PARAMETER

### UNIT_PRICE_PARAMETER

    public static final java.lang.String UNIT_PRICE_PARAMETER

### MONTH_PARAM

    public static final java.lang.String MONTH_PARAM

### DAY_PARAM

    public static final java.lang.String DAY_PARAM

### QUOTE_PARAM

    public static final java.lang.String QUOTE_PARAM

### PRODUCT_PARAM_EQUALS

    public static final java.lang.String PRODUCT_PARAM_EQUALS

### PART_PARAM_EQUALS

    public static final java.lang.String PART_PARAM_EQUALS

### CSS_INV_BELOW_MIN

    public static final java.lang.String CSS_INV_BELOW_MIN

### CSS_PRODUCT_ROW

    public static final java.lang.String CSS_PRODUCT_ROW

### CSS_PART_ROW

    public static final java.lang.String CSS_PART_ROW

### CSS_PO_PENDING

    public static final java.lang.String CSS_PO_PENDING

### CSS_PO_PENDING_STATUS

    public static final java.lang.String CSS_PO_PENDING_STATUS

### CSS_PO_PENDING_GIF_1

    public static final java.lang.String CSS_PO_PENDING_GIF_1

### CSS_PO_PENDING_GIF_2

    public static final java.lang.String CSS_PO_PENDING_GIF_2

### CSS_PO_ACK

    public static final java.lang.String CSS_PO_ACK

### CSS_PO_ACK_STATUS

    public static final java.lang.String CSS_PO_ACK_STATUS

### CSS_PO_SHIPPED

    public static final java.lang.String CSS_PO_SHIPPED

### CSS_PO_SHIPPED_STATUS

    public static final java.lang.String CSS_PO_SHIPPED_STATUS

### CSS_PO_REC_1

    public static final java.lang.String CSS_PO_REC_1

### CSS_PO_REC_1_STATUS

    public static final java.lang.String CSS_PO_REC_1_STATUS

### CSS_PO_REC_1_GIF_1

    public static final java.lang.String CSS_PO_REC_1_GIF_1

### CSS_PO_REC_1_GIF_2

    public static final java.lang.String CSS_PO_REC_1_GIF_2

### CSS_PO_REC_2

    public static final java.lang.String CSS_PO_REC_2

### CSS_PO_REC_2_STATUS

    public static final java.lang.String CSS_PO_REC_2_STATUS

### CSS_PO_REC_2_GIF_1

    public static final java.lang.String CSS_PO_REC_2_GIF_1

### DOT_GIF

    public static final java.lang.String DOT_GIF

### MIN_ICON

    public static final java.lang.String MIN_ICON

### MAX_ICON

    public static final java.lang.String MAX_ICON

### INVENTORY_PAGE_ID

    public static final java.lang.String INVENTORY_PAGE_ID

### PURCHASING_PAGE_ID

    public static final java.lang.String PURCHASING_PAGE_ID

### PO_PAGE_ID

    public static final java.lang.String PO_PAGE_ID

### PRODUCT_PORTLET_ID

    public static final java.lang.String PRODUCT_PORTLET_ID

### PART_PORTLET_ID

    public static final java.lang.String PART_PORTLET_ID

### QPA_PORTLET_ID

    public static final java.lang.String QPA_PORTLET_ID

### QUOTE_PORTLET_ID

    public static final java.lang.String QUOTE_PORTLET_ID

### PO_REVIEW_PORTLET_ID

    public static final java.lang.String PO_REVIEW_PORTLET_ID

### PO_STATUS_ID

    public static final java.lang.String PO_STATUS_ID

### TG_STATE_DEFAULT

    public static final java.lang.String TG_STATE_DEFAULT

### TG_STATE_PRODUCT_INVENTORY

    public static final java.lang.String TG_STATE_PRODUCT_INVENTORY

### TG_STATE_PART_INVENTORY

    public static final java.lang.String TG_STATE_PART_INVENTORY

### TG_STATE_QPA

    public static final java.lang.String TG_STATE_QPA

### TG_STATE_QUOTES

    public static final java.lang.String TG_STATE_QUOTES

### TG_STATE_PO_REVIEW

    public static final java.lang.String TG_STATE_PO_REVIEW

### TG_STATE_PURCHASING

    public static final java.lang.String TG_STATE_PURCHASING

### TG_STATE_PURCHASING_RO

    public static final java.lang.String TG_STATE_PURCHASING_RO

### TG_STATE_ORDER_HISTORY

    public static final java.lang.String TG_STATE_ORDER_HISTORY

### TG_STATE_ORDER_HISTORY2

    public static final java.lang.String TG_STATE_ORDER_HISTORY2

### TG_FILE_DEFAULT

    public static final java.lang.String TG_FILE_DEFAULT

### TG_FILE_SUMMARY

    public static final java.lang.String TG_FILE_SUMMARY

### TG_FILE_PO_STATUS_NORMAL

    public static final java.lang.String TG_FILE_PO_STATUS_NORMAL

### TG_FILE_PRODUCT_INVENTORY

    public static final java.lang.String TG_FILE_PRODUCT_INVENTORY

### TG_FILE_PART_INVENTORY

    public static final java.lang.String TG_FILE_PART_INVENTORY

### TG_FILE_QPA

    public static final java.lang.String TG_FILE_QPA

### TG_FILE_PO_REVIEW

    public static final java.lang.String TG_FILE_PO_REVIEW

### TG_FILE_PO_REVIEW_RO

    public static final java.lang.String TG_FILE_PO_REVIEW_RO

### locale

    public static final java.util.Locale locale

### monthFormat

    public static final java.text.SimpleDateFormat monthFormat

### monthDayYear

    public static final java.text.SimpleDateFormat monthDayYear

### longFormat

    public static final java.text.SimpleDateFormat longFormat

### monthDayLongYear

    public static final java.text.SimpleDateFormat monthDayLongYear

### titlebarFormat

    public static final java.text.SimpleDateFormat titlebarFormat

### timeFormat

    public static final java.text.SimpleDateFormat timeFormat

### localizedPropertiesFile

    public static final java.lang.String localizedPropertiesFile

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved